
%global py3_prefix python%{python3_pkgversion}

Name:           python3-configobj
Version:        5.0.6
Release:        1%{?dist}
Summary:        Config file reading, writing, and validation

License:        BSD
URL:            https://configobj.readthedocs.org/
# Moved to the github release instead of the pypi one since multiple elements (License and tests)
# are not available using pypi. Two bugs have been filled about this:
# https://github.com/DiffSK/configobj/issues/98
# https://github.com/DiffSK/configobj/issues/99
# Source0:       %%{pypi_source}
Source0:        https://github.com/DiffSK/configobj/archive/v%{version}.tar.gz#/configobj-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  %{py3_prefix}-devel
BuildRequires:  %{py3_prefix}-pytest
BuildRequires:  %{py3_prefix}-six

Requires:       %{py3_prefix}-six


%description
ConfigObj is a simple but powerful configuration file reader and writer: an ini
file round tripper. Its main feature is that it is very easy to use, with a
straightforward programmers interface and a simple syntax for config files.

This is the Python %{python3_pkgversion} build of the module.


%prep
%autosetup -n configobj-%{version} -p1


%build
%py3_build


%install
%py3_install

%check
# this needs to be set for tests.test_configobj.test_options_deprecation
export PYTHONWARNINGS=always
%{__python3} test_configobj.py
py.test-%{python3_version} tests


%files
%license LICENSE
%doc README.md
%{python3_sitelib}/_version.py
%{python3_sitelib}/configobj.py
%{python3_sitelib}/validate.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/configobj-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Nov 18 2020 Felix Schwarz <fschwarz@fedoraproject.org> - 5.0.6-1
- initial package for EPEL 7 (with parts of the current Fedora spec file)

